/*
 * @(#)AssertionNotFoundExceptionTest.java
 *
 * Copyright (C) 2006 Infocity Inc. All Rights Reserved.
 */
package test.info.dragonlady.sso;

import info.dragonlady.sso.AssertionNotFoundException;
import junit.framework.TestCase;

/**
 * AssertionNotFoundException クラステストケース
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2006/10/23 16:55:43 $
 */
public class AssertionNotFoundExceptionTest extends TestCase {

	/**
	 * Constructor for AssertionNotFoundExceptionTest.
	 * @param arg0
	 */
	public AssertionNotFoundExceptionTest(String arg0) {
		super(arg0);
	}

	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/*
	 * 'jp.co.infocity.AssertionNotFound.AssertionNotFoundException.AssertionNotFoundException()' のためのテスト・メソッド
	 */
	public final void testAssertionNotFoundException() {
		try {
			new AssertionNotFoundException();
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/*
	 * 'jp.co.infocity.AssertionNotFound.AssertionNotFoundException.AssertionNotFoundException(String)' のためのテスト・メソッド
	 */
	public final void testAssertionNotFoundExceptionString() {
		try {
			String message = "message";
			new AssertionNotFoundException(message);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/*
	 * 'jp.co.infocity.AssertionNotFound.AssertionNotFoundException.AssertionNotFoundException(Throwable)' のためのテスト・メソッド
	 */
	public final void testAssertionNotFoundExceptionThrowable() {
		try {
			String message = "message";
			Exception e = new Exception("exception_message");
			new AssertionNotFoundException(message, e);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/*
	 * 'jp.co.infocity.AssertionNotFound.AssertionNotFoundException.AssertionNotFoundException(String, Throwable)' のためのテスト・メソッド
	 */
	public final void testAssertionNotFoundExceptionStringThrowable() {
		try {
			Exception e = new Exception("exception_message");
			new AssertionNotFoundException(e);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

}
